Loading...
Searching...
No Matches
pappso::cbor::psm::PsmProtein Struct Reference

`#include <psmproteinmap.h>`

## Public Attributes

std::shared_ptr< Protein > | protein_sp = nullptr
bool | isTarget = true
bool | isContaminant = false
QCborMap | cborEval

## Detailed Description

Definition at line 45 of file psmproteinmap.h.

## Member Data Documentation

## cborEval

QCborMap pappso::cbor::psm::PsmProtein::cborEval

Definition at line 50 of file psmproteinmap.h.

## isContaminant

bool pappso::cbor::psm::PsmProtein::isContaminant = false

Definition at line 49 of file psmproteinmap.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::finalDebrief(), and pappso::cbor::psm::PsmProteinMap::readMap().

## isTarget

bool pappso::cbor::psm::PsmProtein::isTarget = true

Definition at line 48 of file psmproteinmap.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::finalDebrief(), pappso::cbor::psm::SageTsvHandler::parseProteins(), pappso::cbor::psm::PsmSpecPeptidOms::proteinMapReady(), and pappso::cbor::psm::PsmProteinMap::readMap().

## protein_sp

std::shared_ptr<Protein> pappso::cbor::psm::PsmProtein::protein_sp = nullptr

Definition at line 47 of file psmproteinmap.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::finalDebrief(), pappso::cbor::psm::PsmProteinMap::insert(), pappso::cbor::psm::SageTsvHandler::parseProteins(), pappso::cbor::psm::PsmSpecPeptidOms::proteinMapReady(), pappso::cbor::psm::PsmProteinMap::readMap(), pappso::cbor::psm::SageTsvHandler::recordLine(), and pappso::cbor::psm::SageReader::FastaSeq::setSequence().

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/cbor/psm/psmproteinmap.h